## mstflint 4.26.0%2B1

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

pname := mstflint
pdkms := $(pname)-dkms
dkms_pkg := $(pname)-$(pversion)

%:
	dh $@ --with autoreconf,dkms

override_dh_auto_clean:
	if [ -f config/compile ]; then dh_auto_clean; fi
	if [ -d debian/saved ]; then \
		mv -v debian/saved/tools_git_sha .; \
		rmdir debian/saved; \
	fi

override_dh_clean:
	dh_clean
	find . -name '*.o' -o -name '*.a' -o -name '*.so' -o -name '*.lo' \
		-o -name '*.d' -o -name '*.la' \
	| xargs -r rm -f
	find . -name .libs | xargs -r rm -rf
	# Skip ext_libs/
	@for Makefile in `find . -name Makefile`; do \
	  if [ ! -e $$Makefile.in ] && \
	     [ $$Makefile != "./kernel/Makefile" ]; then \
		rm -fv $$Makefile; \
	  fi; \
	done

override_dh_auto_configure:
	if [ ! -d debian/saved ]; then \
		mkdir -p debian/saved; \
		cp -av tools_git_sha debian/saved/; \
	fi
	dh_auto_configure -- --enable-adb-generic-tools

override_dh_auto_install:
	dh_auto_install
	# Remove library for now. Needs to be properly packaged:
	rm -rf \
	  debian/tmp/usr/include \
	  debian/tmp/usr/lib/*/*.a \
	  debian/tmp/usr/lib/*/mstflint/*.a \
	  debian/tmp/usr/lib/*/mstflint/*.la \
	  debian/tmp/usr/lib/*/mstflint/*.so* \

	# Unused unless fw-mgr is enabled:
	rm -rf debian/tmp/usr/share/man/man1/mstarchive.1* \
	  debian/tmp/usr/share/man/man1/mstfwmanager.1*
	sed -e 's:@PKGVER@:$(DEB_VERSION):' < debian/$(pdkms).dkms.in > debian/$(pdkms).dkms
	make -C kernel DESTDIR=$(CURDIR)/debian/tmp install-dkms

## mstflint 4.26.0+1

=== debian/changelog ===
mstflint (4.26.0+1-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:58:01 +1100

mstflint (4.26.0+1-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:02:21 +0000

mstflint (4.26.0+1-2ubuntu1) noble; urgency=medium

  * Add mstflint-dkms package.

 -- dann frazier <dannf@ubuntu.com>  Wed, 28 Feb 2024 21:48:50 +0000

mstflint (4.26.0+1-2) unstable; urgency=medium

  * Add revert_runtime_test.patch: Fix cross-building
  * Remove architecture-dependent macros. Added:
    - 0001-Remove-unused-arch-dependent-define-U64L.patch
    - 0002-Remove-unused-arch-dependent-macros-from-packet_comm.patch
    - 0003-Avoid-all-arch-dependent-format-macros.patch

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 28 Jan 2024 17:22:17 +0200

mstflint (4.26.0+1-1) unstable; urgency=medium

  * New upstream release:
    - Removed 0001-Remove-date-and-time-from-version-string-to-ensure-r.patch
      (merged upstream).
    - Removed man-proper-header-line.patch (merged upstream).
    - Removed typos.patch (merged upstream).
  * Add remove_fwmgr_install.patch as a temporary workaround of upstream
    change.
  * Ignore generated files under debian/
  * Fix building twice in a row.

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 24 Jan 2024 10:52:47 +0200

=== debian/control ===
Source: mstflint
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>,
           Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-dkms,
               libboost-filesystem-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libexpat1-dev,
               libibmad-dev,
               libjsoncpp-dev,
               liblzma-dev,
               libmuparser-dev,
               libsqlite3-dev,
               libssl-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/hpc-team/mstflint.git
Vcs-Browser: https://salsa.debian.org/hpc-team/mstflint
Homepage: https://github.com/Mellanox/mstflint
Testsuite: autopkgtest-pkg-dkms

Package: mstflint
Architecture: linux-any
Depends: libibmad5,
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: mstflint-dkms
Description: Mellanox firmware burning application and diagnostics tools
 This package contains a burning tool and diagnostic tools for Mellanox
 manufactured host channel adapters (HCA) and network interface cards (NIC).
 .
 This burning tool should be used only with Mellanox-manufactured
 HCA/NIC cards. Using it with cards manufactured by other vendors may
 be harmful to the cards (due to different configurations). Using the
 diagnostic tools is normally safe for all HCAs/NICs.

Package: mstflint-dkms
Section: kernel
Priority: optional
Architecture: all
Depends: dkms,
         make,
         ${misc:Depends}
Enhances: mstlint
Description: mstflint kernel module for Linux
 The mstflint userspace tools require a kernel module to operate in
 Secure Boot mode. This package provides the required module source,
 and will build that module for your kernel upon installation.
 .
 Note: This module will need to be signed by a trusted key in order
 for your kernel to load it when booted in Secure Boot mode.
 For information on how to do this, see the appropriate documentation
 for your distribution. For Debian and Ubuntu:
 .
   https://wiki.debian.org/SecureBoot
   https://wiki.ubuntu.com/UEFI/SecureBoot

## mstflint 4.31.0+1

=== debian/changelog ===
mstflint (4.31.0+1-2) unstable; urgency=medium

  * Remove unused override
  * Standard version 4.7.2

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 30 Mar 2025 04:49:05 +0300

mstflint (4.31.0+1-1) unstable; urgency=medium

  * New upstream release.
    - Patches from upstream devel branch to fix build issues:
      dev_mgt-include-missing-function-declaration.patch
      fwctrl-fix-reg-status-typo.patch
      fwctrl-include-missing-function-declarations.patch
  * Update copyright

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 04 Mar 2025 23:19:47 +0200

=== debian/control ===
Source: mstflint
Section: net
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>,
           Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper-compat (= 13),
               libboost-filesystem-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libexpat1-dev,
               libibmad-dev,
               libjsoncpp-dev,
               liblzma-dev,
               libmuparser-dev,
               libsqlite3-dev,
               libssl-dev,
               pkgconf,
               zlib1g-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/hpc-team/mstflint.git
Vcs-Browser: https://salsa.debian.org/hpc-team/mstflint
Homepage: https://github.com/Mellanox/mstflint

Package: mstflint
Architecture: linux-any
Depends: libibmad5,
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mellanox firmware burning application and diagnostics tools
 This package contains a burning tool and diagnostic tools for Mellanox
 manufactured host channel adapters (HCA) and network interface cards (NIC).
 .
 This burning tool should be used only with Mellanox-manufactured
 HCA/NIC cards. Using it with cards manufactured by other vendors may
 be harmful to the cards (due to different configurations). Using the
 diagnostic tools is normally safe for all HCAs/NICs.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	if [ -f config/compile ]; then dh_auto_clean; fi
	if [ -d debian/saved ]; then \
		mv -v debian/saved/tools_git_sha .; \
		rmdir debian/saved; \
	fi

override_dh_clean:
	dh_clean
	find . -name '*.o' -o -name '*.a' -o -name '*.so' -o -name '*.lo' \
		-o -name '*.d' -o -name '*.la' \
	| xargs -r rm -f
	find . -name .libs | xargs -r rm -rf
	# Skip ext_libs/
	@for Makefile in `find . -name Makefile`; do \
	  if [ ! -e $$Makefile.in ]; then \
		rm -fv $$Makefile; \
	  fi; \
	done

override_dh_auto_configure:
	if [ ! -d debian/saved ]; then \
		mkdir -p debian/saved; \
		cp -av tools_git_sha debian/saved/; \
	fi
	dh_auto_configure -- --enable-adb-generic-tools

override_dh_auto_install:
	dh_auto_install
	# Remove library for now. Needs to be properly packaged:
	rm -rf \
	  debian/mstflint/usr/include \
	  debian/mstflint/usr/lib/*/*.a \
	  debian/mstflint/usr/lib/*/mstflint/*.a \
	  debian/mstflint/usr/lib/*/mstflint/*.la \
	  debian/mstflint/usr/lib/*/mstflint/*.so* \

	# Unused unless fw-mgr is enabled:
	rm -rf debian/mstflint/usr/share/man/man1/mstarchive.1* \
	  debian/mstflint/usr/share/man/man1/mstfwmanager.1*

## mstflint 4.33.0+1

=== mlx5ctl/Makefile ===
CC=gcc
CFLAGS=-Wall -Wno-gnu-variable-sized-type-not-at-end
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin

# Source files
SRCS = $(wildcard *.c)
HDRS = $(wildcard *.h)
RSRC = README.md LICENSE Makefile
OBJS = $(SRCS:.c=.o)
TARGET=mlx5ctl
VERSION:=0.1

.PHONY: all clean install

all: mlx5ctl

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $(TARGET)

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -f $(TARGET) $(OBJS)

install: $(TARGET)
	install -Dm755 $(TARGET) $(DESTDIR)$(BINDIR)/$(TARGET)

srctar:
	mkdir -p SOURCE/$(TARGET)-$(VERSION)
	cp -r $(SRCS) $(HDRS) $(RSRC) SOURCE/$(TARGET)-$(VERSION)
	cd SOURCE && tar -czvf $(TARGET)-$(VERSION).tar.gz $(TARGET)-$(VERSION)
	rm -rf SOURCE/$(TARGET)-$(VERSION)

=== debian/changelog ===
mstflint (4.33.0+1-1) unstable; urgency=medium

  * New upstream release (Closes: #1097420).
    - Remove patches:
        - dev_mgt-include-missing-function-declaration.patch
        - fwctrl-fix-reg-status-typo.patch
        - fwctrl-include-missing-function-declarations.patch
        - kernel_fallthrough.patch
        - kernel_ioremap_check_null.patch
        - kernel_statify.patch
  * Note that fwctl is supported

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 17 Sep 2025 07:08:47 +0300

mstflint (4.31.0+1-4) unstable; urgency=medium

  * Add autopkgtest for dkms module only
  * Note that fwctl is not yet supported

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 09 Apr 2025 22:06:31 +0300

mstflint (4.31.0+1-3) unstable; urgency=medium

  * Add dkms subpackage
  * Add 3 fixes to the kernel code:
    - kernel_fallthrough.patch
    - kernel_ioremap_check_null.patch
    - kernel_statify.patch
  * rules: Keep kernel/Makefile, that is manually-generated

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 06 Apr 2025 08:08:44 +0300

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
            Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper-compat (= 13),
+	       dh-sequence-dkms,
                libboost-filesystem-dev,
                libboost-regex-dev,
                libboost-system-dev,
@@ -30,10 +31,31 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Mellanox firmware burning application and diagnostics tools
- This package contains a burning tool and diagnostic tools for Mellanox
- manufactured host channel adapters (HCA) and network interface cards (NIC).
+ This package contains a burning tool and diagnostic tools for Nvidia
+ (formly Mellanox) manufactured host channel adapters (HCA) and network
+ interface cards (NIC).
  .
  This burning tool should be used only with Mellanox-manufactured
  HCA/NIC cards. Using it with cards manufactured by other vendors may
  be harmful to the cards (due to different configurations). Using the
  diagnostic tools is normally safe for all HCAs/NICs.
+ .
+ For some extra functionality, or for systems with kernel < 6.15,
+ the out-of-tree kernel module mstflint_access is needed.
+ It is included e.g. through the package mstflint-dkms.
+ .
+ The kernel-space part of the code is the out-of-tree module mstflint_access
+ that you may get by installing mstflint-dkms.
+
+Package: mstflint-dkms
+Architecture: all
+Section: kernel
+Depends: ${misc:Depends},
+Enhances: mstlint
+Description: kernel module for Nvidia (formly Mellanox) firmware buring tool
+ mstflint contains a burning tool and diagnostic tools for Nvidia (formly
+ Mellanox) manufactured host channel adapters (HCA) and network interface
+ cards (NIC).
+ .
+ This package contains the kernel module mstflint_access in a DKMS package
+ (source built at install time using the DKMS framework).

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
+export DEB_VERSION_UPSTREAM
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -20,6 +23,7 @@
 	find . -name .libs | xargs -r rm -rf
 	# Skip ext_libs/
 	@for Makefile in `find . -name Makefile`; do \
+	  if [ $$Makefile = ./kernel/Makefile ]; then continue; fi; \
 	  if [ ! -e $$Makefile.in ]; then \
 		rm -fv $$Makefile; \
 	  fi; \
@@ -45,3 +49,7 @@
 	# Unused unless fw-mgr is enabled:
 	rm -rf debian/mstflint/usr/share/man/man1/mstarchive.1* \
 	  debian/mstflint/usr/share/man/man1/mstfwmanager.1*
+	make -C kernel DESTDIR=$(CURDIR)/debian/tmp install-dkms DKMS_SRC_DIR=/usr/src/mstflint-$(DEB_VERSION_UPSTREAM)
+
+override_dh_dkms:
+	dh_dkms -V $(DEB_VERSION_UPSTREAM)

=== debian/tests/control ===
Tests: dkms
Architecture: !i386
Depends:
 mstflint-dkms,
 openssl,
 linux-headers-generic
 | linux-headers-rpi [armel]
# Superficial: only tests module code build.
# There is no test of the larger part of the code,
# userspace code - that requires real hardware.
Restrictions:
 superficial,
 allow-stderr,
 needs-root,
 breaks-testbed,

=== debian/watch ===
version=4
opts="uversionmangle=s/-/+/" \
https://github.com/Mellanox/mstflint/releases (?:.*?/)?mstflint-(.*)\.(?:tar.gz|tar.bz2|tar.xz) \
debian uupdate
